Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNASendTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNASendTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNASendTypes

extends java.lang.Object

`SNASendTypes` class represents all send types:

  `CM_BUFFER_DATA`
  `CM_SEND_AND_FLUSH`
  `CM_SEND_AND_CONFIRM`
  `CM_SEND_AND_PREP_TO_RECEIVE`
  `CM_SEND_AND_DEALLOCATE`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_BUFFER_DATA`
`static int` | `CM_SEND_AND_CONFIRM`
`static int` | `CM_SEND_AND_DEALLOCATE`
`static int` | `CM_SEND_AND_FLUSH`
`static int` | `CM_SEND_AND_PREP_TO_RECEIVE`

Constructor Summary
`SNAConstants.SNASendTypes()`

Method Summary
`static int` | `getCM_BUFFER_DATA()`
`static int` | `getCM_SEND_AND_CONFIRM()`
`static int` | `getCM_SEND_AND_DEALLOCATE()`
`static int` | `getCM_SEND_AND_FLUSH()`
`static int` | `getCM_SEND_AND_PREP_TO_RECEIVE()`
`static java.lang.String` | `getSendTypeString(int sendType)` Returns the sendType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_BUFFER_DATA

    public static final int CM_BUFFER_DATA

See Also:
  Constant Field Values

### CM_SEND_AND_FLUSH

    public static final int CM_SEND_AND_FLUSH

See Also:
  Constant Field Values

### CM_SEND_AND_CONFIRM

    public static final int CM_SEND_AND_CONFIRM

See Also:
  Constant Field Values

### CM_SEND_AND_PREP_TO_RECEIVE

    public static final int CM_SEND_AND_PREP_TO_RECEIVE

See Also:
  Constant Field Values

### CM_SEND_AND_DEALLOCATE

    public static final int CM_SEND_AND_DEALLOCATE

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNASendTypes

    public SNAConstants.SNASendTypes()

Method Detail

### getCM_BUFFER_DATA

    public static final int getCM_BUFFER_DATA()

  Returns:
    CM_BUFFER_DATA

### getCM_SEND_AND_FLUSH

    public static final int getCM_SEND_AND_FLUSH()

  Returns:
    CM_SEND_AND_FLUSH

### getCM_SEND_AND_CONFIRM

    public static final int getCM_SEND_AND_CONFIRM()

  Returns:
    CM_SEND_AND_CONFIRM

### getCM_SEND_AND_PREP_TO_RECEIVE

    public static final int getCM_SEND_AND_PREP_TO_RECEIVE()

  Returns:
    CM_SEND_AND_PREP_TO_RECEIVE

### getCM_SEND_AND_DEALLOCATE

    public static final int getCM_SEND_AND_DEALLOCATE()

  Returns:
    CM_SEND_AND_DEALLOCATE

### getSendTypeString

    public static final java.lang.String getSendTypeString(int sendType)

  Returns the sendType as String

  Parameters:
    `sendType` - The sendType in int
  Returns:
    The sendType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.